--- old/usr/src/head/wchar.h	Sun Jul 27 18:01:22 2014
+++ new/usr/src/head/wchar.h	Sun Jul 27 18:01:22 2014
@@ -120,8 +120,6 @@
 typedef __va_list va_list;
 #endif  /* defined(_XPG6) && !defined(_VA_LIST) */
 
-#ifdef __STDC__
-
 #if !defined(_STRICT_STDC) || defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
 #if __cplusplus >= 199711L
 namespace std {
@@ -140,7 +138,9 @@
 extern int iswctype(wint_t, wctype_t);
 extern wint_t towlower(wint_t);
 extern wint_t towupper(wint_t);
+#ifndef _STRICT_XPG7
 extern wchar_t *wcswcs(const wchar_t *, const wchar_t *);
+#endif
 extern int wcswidth(const wchar_t *, size_t);
 extern int wcwidth(wchar_t);
 extern wctype_t wctype(const char *);
@@ -161,7 +161,9 @@
 using std::iswctype;
 using std::towlower;
 using std::towupper;
+#ifndef _STRICT_XPG7
 using std::wcswcs;
+#endif
 using std::wcswidth;
 using std::wcwidth;
 using std::wctype;
@@ -192,45 +194,6 @@
 
 #endif	/* defined(_XPG7) || !defined(_STRICT_SYMBOLS) */
 
-#else /* __STDC__ */
-
-#if !defined(_STRICT_STDC) || defined(_XOPEN_SOURCE) || defined(__EXTENSIONS__)
-extern  int iswalpha();
-extern  int iswupper();
-extern  int iswlower();
-extern  int iswdigit();
-extern  int iswxdigit();
-extern  int iswalnum();
-extern  int iswspace();
-extern  int iswpunct();
-extern  int iswprint();
-extern  int iswgraph();
-extern  int iswcntrl();
-extern  int iswctype();
-extern  wint_t towlower();
-extern  wint_t towupper();
-extern wchar_t *wcswcs();
-extern int wcswidth();
-extern int wcwidth();
-extern wctype_t wctype();
-#endif /* !defined(_STRICT_STDC) || defined(_XOPEN_SOURCE)... */
-
-#if defined(_XGP7) || !defined(_STRICT_SYMBOLS)
-extern size_t wcsnlen();
-extern wchar_t *wcpcpy();
-extern wchar_t *wcpncpy();
-extern size_t wcsxfrm_l();
-extern int wcscoll_l();
-extern wchar_t *wcsdup();
-extern int wcscasecmp();
-extern int wcscasecmp_l();
-extern int wcsncasecmp();
-extern int wcsncasecmp_l();
-extern size_t mbsnrtowcs();
-#endif
-
-#endif /* __STDC__ */
-
 #ifdef	__cplusplus
 }
 #endif
